package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Led;
import com.brilliance.isc.vo.lc.LedWithPtsCbbResponseVo;
import com.brilliance.isc.vo.lc.LetselQueryVo;
import com.brilliance.isc.vo.lc.LidWithPtsCbbResponseVo;
import com.brilliance.isc.vo.lc.LitselQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface LedMapper {

    int insert(Led record);

    int insertSelective(Led record);

    int updateByPrimaryKeySelective(Led record);

    int updateByPrimaryKey(Led record);

    int deleteByPrimaryKey(Led record);

    int deleteByIds(Collection<Object> collection);

    Led selectByPrimaryKey(Led record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Led> dyncRead(Map<String, Object> dyncMap);

    Led selectByAnyref(@Param("objtyp") String objtyp, @Param("ref") String ref, @Param("rol") String rol);

    Led selectByWhere(Led record);

    List<LedWithPtsCbbResponseVo> queryLed(LetselQueryVo letselQueryVo);

    List<LedWithPtsCbbResponseVo> queryLedInfo(LetselQueryVo letselStoreVo);

    Led selectByInr(@Param("inr") String inr);

    Led selectByOwnref(String ownref);
}